# Uses of Interface
org.opensaml.saml.saml2.metadata.EncryptionMethod

Packages that use EncryptionMethod
Package
Description
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of EncryptionMethod in org.opensaml.saml.metadata.resolver.filter.impl

Methods in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type EncryptionMethod
Modifier and Type
Method
Description
`protected void`
AlgorithmFilter.`addEncryptionMethod(EntityDescriptor descriptor, EncryptionMethod encryptionMethod)`
Add `EncryptionMethod` extension to every `KeyDescriptor` found in an entity.

## Uses of EncryptionMethod in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type EncryptionMethod
Modifier and Type
Method
Description
`List<EncryptionMethod>`
KeyDescriptor.`getEncryptionMethods()`
Gets the encryption methods that are supported by the entity.

## Uses of EncryptionMethod in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement EncryptionMethod
Modifier and Type
Class
Description
`class`
`EncryptionMethodImpl`
Concrete implementation of `EncryptionMethod`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type EncryptionMethod
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<EncryptionMethod>`
KeyDescriptorImpl.`encryptionMethods`
Encryption methods supported by the entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return EncryptionMethod
Modifier and Type
Method
Description
`EncryptionMethod`
EncryptionMethodBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EncryptionMethod`
EncryptionMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type EncryptionMethod
Modifier and Type
Method
Description
`List<EncryptionMethod>`
KeyDescriptorImpl.`getEncryptionMethods()`
Gets the encryption methods that are supported by the entity.

## Uses of EncryptionMethod in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl with type parameters of type EncryptionMethod
Modifier and Type
Field
Description
`private List<EncryptionMethod>`
SAMLMDCredentialContext.`encMethods`
Encryption methods associated with the credential.
Methods in org.opensaml.saml.security.impl that return types with arguments of type EncryptionMethod
Modifier and Type
Method
Description
`List<EncryptionMethod>`
SAMLMDCredentialContext.`getEncryptionMethods()`
Return the list of `EncryptionMethod`'s associated with credential context.
`protected Pair<String,EncryptionMethod>`
SAMLMetadataEncryptionParametersResolver.`resolveDataEncryptionAlgorithm(CriteriaSet criteria, Predicate<String> includeExcludePredicate, SAMLMDCredentialContext metadataCredContext)`
Determine the data encryption algorithm URI to use, also returning the associated `EncryptionMethod` from metadata if relevant.
`protected Pair<String,EncryptionMethod>`
SAMLMetadataEncryptionParametersResolver.`resolveKeyTransportAlgorithm(Credential keyTransportCredential, CriteriaSet criteria, Predicate<String> includeExcludePredicate, String dataEncryptionAlgorithm, SAMLMDCredentialContext metadataCredContext)`
Determine the key transport algorithm URI to use with the specified credential, also returning the associated `EncryptionMethod` from metadata if relevant.
Methods in org.opensaml.saml.security.impl with parameters of type EncryptionMethod
Modifier and Type
Method
Description
`protected boolean`
SAMLMetadataEncryptionParametersResolver.`credentialSupportsEncryptionMethod(Credential credential, EncryptionMethod encryptionMethod)`
Evaluate whether the specified credential is supported for use with the specified `EncryptionMethod`.
`protected boolean`
SAMLMetadataEncryptionParametersResolver.`evaluateEncryptionMethodChildren(EncryptionMethod encryptionMethod, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Evaluate the child elements of an EncryptionMethod for acceptability based on for example include/exclude policy and algorithm runtime support.
`protected boolean`
SAMLMetadataEncryptionParametersResolver.`evaluateRSAOAEPChildren(EncryptionMethod encryptionMethod, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Evaluate the child elements of an RSA OAEP EncryptionMethod for acceptability based on for example include/exclude policy and algorithm runtime support.
`protected void`
SAMLMetadataEncryptionParametersResolver.`populateRSAOAEPParamsFromEncryptionMethod(RSAOAEPParameters params, EncryptionMethod encryptionMethod, Predicate<String> includeExcludePredicate)`
Extract `DigestMethod`, `MGF` and `OAEPparams` data present on the supplied instance of `EncryptionMethod` and populate it on the supplied instance of of `RSAOAEPParameters`.
`protected void`
SAMLMetadataEncryptionParametersResolver.`resolveAndPopulateRSAOAEPParams(EncryptionParameters params, CriteriaSet criteria, Predicate<String> includeExcludePredicate, EncryptionMethod encryptionMethod)`
Resolve and populate an instance of `RSAOAEPParameters`, if appropriate for the selected key transport encryption algorithm.